You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@arrow.apache.org by ko...@apache.org on 2021/12/08 07:57:41 UTC

[arrow] branch master updated: ARROW-14749: [Python][Release] Set release verification script to use target source instead of current source directory

This is an automated email from the ASF dual-hosted git repository.

kou pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/arrow.git


The following commit(s) were added to refs/heads/master by this push:
     new 392a25f  ARROW-14749: [Python][Release] Set release verification script to use target source instead of current source directory
392a25f is described below

commit 392a25f44395e9591d871ebb910c1185bda781dd
Author: bkmgit <be...@emailplus.org>
AuthorDate: Wed Dec 8 16:55:32 2021 +0900

    ARROW-14749: [Python][Release] Set release verification script to use target source instead of current source directory
    
    Closes #11735 from bkmgit/ARROW-14749
    
    Lead-authored-by: bkmgit <be...@emailplus.org>
    Co-authored-by: Sutou Kouhei <ko...@clear-code.com>
    Signed-off-by: Sutou Kouhei <ko...@clear-code.com>
---
 dev/release/verify-release-candidate.sh | 59 ++++++++++++++++-----------------
 1 file changed, 29 insertions(+), 30 deletions(-)

diff --git a/dev/release/verify-release-candidate.sh b/dev/release/verify-release-candidate.sh
index 315258c..cd86431 100755
--- a/dev/release/verify-release-candidate.sh
+++ b/dev/release/verify-release-candidate.sh
@@ -55,7 +55,6 @@ set -x
 set -o pipefail
 
 SOURCE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]:-$0}")" && pwd)"
-ARROW_DIR="$(dirname $(dirname ${SOURCE_DIR}))"
 
 detect_cuda() {
   if ! (which nvcc && which nvidia-smi) > /dev/null; then
@@ -533,16 +532,34 @@ test_integration() {
               $INTEGRATION_TEST_ARGS
 }
 
-clone_testing_repositories() {
-  # Clone testing repositories if not cloned already
-  if [ ! -d "arrow-testing" ]; then
-    git clone https://github.com/apache/arrow-testing.git
+ensure_source_directory() {
+  dist_name="apache-arrow-${VERSION}"
+  if [ $((${TEST_SOURCE} + ${TEST_WHEELS})) -gt 0 ]; then
+    import_gpg_keys
+    if [ ! -d "${dist_name}" ]; then
+      fetch_archive ${dist_name}
+      tar xf ${dist_name}.tar.gz
+    fi
+  else
+    mkdir -p ${dist_name}
+    if [ ! -f ${TEST_ARCHIVE} ]; then
+      echo "${TEST_ARCHIVE} not found"
+      exit 1
+    fi
+    tar xf ${TEST_ARCHIVE} -C ${dist_name} --strip-components=1
+  fi
+  # clone testing repositories
+  pushd ${dist_name}
+  if [ ! -d "testing/data" ]; then
+    git clone https://github.com/apache/arrow-testing.git testing
   fi
-  if [ ! -d "parquet-testing" ]; then
-    git clone https://github.com/apache/parquet-testing.git
+  if [ ! -d "cpp/submodules/parquet-testing/data" ]; then
+    git clone https://github.com/apache/parquet-testing.git cpp/submodules/parquet-testing
   fi
-  export ARROW_TEST_DATA=$PWD/arrow-testing/data
-  export PARQUET_TEST_DATA=$PWD/parquet-testing/data
+  export ARROW_DIR=$PWD
+  export ARROW_TEST_DATA=$PWD/testing/data
+  export PARQUET_TEST_DATA=$PWD/cpp/submodules/parquet-testing/data
+  popd
 }
 
 test_source_distribution() {
@@ -557,8 +574,6 @@ test_source_distribution() {
     NPROC=$(nproc)
   fi
 
-  clone_testing_repositories
-
   if [ ${TEST_JAVA} -gt 0 ]; then
     test_package_java
   fi
@@ -702,8 +717,6 @@ test_macos_wheels() {
 }
 
 test_wheels() {
-  clone_testing_repositories
-
   local download_dir=binaries
   mkdir -p ${download_dir}
 
@@ -846,22 +859,8 @@ fi
 
 case "${ARTIFACT}" in
   source)
-    dist_name="apache-arrow-${VERSION}"
-    if [ ${TEST_SOURCE} -gt 0 ]; then
-      import_gpg_keys
-      if [ ! -d "${dist_name}" ]; then
-        fetch_archive ${dist_name}
-        tar xf ${dist_name}.tar.gz
-      fi
-    else
-      mkdir -p ${dist_name}
-      if [ ! -f ${TEST_ARCHIVE} ]; then
-        echo "${TEST_ARCHIVE} not found"
-        exit 1
-      fi
-      tar xf ${TEST_ARCHIVE} -C ${dist_name} --strip-components=1
-    fi
-    pushd ${dist_name}
+    ensure_source_directory
+    pushd ${ARROW_DIR}
     test_source_distribution
     popd
     ;;
@@ -870,7 +869,7 @@ case "${ARTIFACT}" in
     test_binary_distribution
     ;;
   wheels)
-    import_gpg_keys
+    ensure_source_directory
     test_wheels
     ;;
   jars)